| **Platform** | **Support Level** | **Features** |
|--------------|-------------------|--------------|
| **Web**      | Tier 1 Support    | - Render directly to the DOM using WebAssembly<br>- Pre-render with SSR and rehydrate on the client<br>- Simple "hello world" at about 50kb, comparable to React<br>- Built-in dev server and hot reloading for quick iteration |
| **Fullstack**| Tier 1 Support    | - Suspense, hydration, and server-side rendering<br>- Quickly drop in backend functionality with server functions<br>- Extractors, middleware, and routing integrations<br>- Compatible with desktop and mobile! |
| **Desktop**  | Tier 1 Support    | - Render using Webview or - experimentally - with WGPU or [Freya](https://freyaui.dev) (skia)<br>- Zero-config setup. Simply `cargo run` or `dx serve` to build your app<br>- Full support for native system access without IPC<br>- Supports macOS, Linux, and Windows. Portable <3mb binaries |
| **Liveview** | Tier 1 Support    | - Render apps - or just a single component - entirely on the server<br>- Integrations with popular Rust frameworks like Axum and Warp<br>- Extremely low-latency and ability to support 10,000+ simultaneous apps |
| **Mobile**   | Tier 2 Support    | - Render using Webview or - experimentally - with WGPU or Skia<br>- Support for iOS and Android<br>- Currently quite experimental, with lots of improvements coming throughout 2024 |
| **Terminal** | Tier 2 Support    | - Render apps directly into your terminal, similar to [ink.js](https://github.com/vadimdemedes/ink)<br>- Powered by the familiar flexbox and CSS model of the browser<br>- Built-in widgets like text input, buttons, and focus system |
